package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum ShipOrderStateEnum {
	/**
	 * 发货单状态：1_待回款；2_部分回款；3_已回款；4_拒收完结；5_已完结；
	 */
	WAIT_PAYMENT(1, "待回款"),
	PARTIAL_PAYMENT(2, "部分回款"),
	FULL_PAYMENT(3, "已回款"),
	REJECT_FINISH(4, "拒收完结"),
	FINISH(5, "已完结");

	@EnumValue
	private final int type;

	private final String message;
}
